<!DOCTYPE HTML> 
<html> 
	<head> 
		<title> Find Box Length </title> 
		<script type="text/javascript"> 
			function findTotalLength (edgePadding, slotSpacingCount, 
										startSpacing, endSpacing, 
										magnetRadius) { 
				var TL = 2 * edgePadding + 2 * (slotSpacingCount + 1) * magnetRadius + slotSpacingCount * startSpacing; 
				for (var i = 0; i < slotSpacingCount; i++) 
					TL += i / (slotSpacingCount - 1) * (endSpacing - startSpacing); 
				return TL; 
			} 
		</script> 
	</head> 
	<body onload="updateResult ();"> 
		Parameters: 
		<form name="params"> 
			Edge Padding: <input name="P" value="2" onkeyup="updateResult ();" /> <BR> 
			Slot Spacing Count: <input name="N" value="16" onkeyup="updateResult ();" /> <BR> 
			Start Spacing: <input name="s" value="0.5" onkeyup="updateResult ();" /> <BR> 
			End Spacing: <input name="e" value="4" onkeyup="updateResult ();" /> <BR> 
			Magnet Radius: <input name="R" value="3.34375" onkeyup="updateResult ();" /> <BR> 
			<hr /> 
			Result Total Length: <input name="TL" value="" readonly /> <BR> 
		</form> 
		<script type="text/javascript"> 
			function updateResult () { 
				var P = parseFloat (document.params.P.value); 
				var N = parseFloat (document.params.N.value); 
				var s = parseFloat (document.params.s.value); 
				var e = parseFloat (document.params.e.value); 
				var R = parseFloat (document.params.R.value); 
				var TL = findTotalLength (P, N, s, e, R); 
				document.params.TL.value = TL; 
			} 
		</script> 
	</body> 
</html> 